# Novita AI Seedance V1 Lite Image to Video API | Generate videos from images

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-seedance-v1-lite-i2v

# Seedance V1 Lite Image to Video

POST

/

v3

/

async

/

seedance-v1-lite-i2v

Try it

Seedance V1 Lite Image to Video

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/seedance-v1-lite-i2v \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"prompt": "&#x3C;string>",
"image": "&#x3C;string>",
"resolution": "&#x3C;string>",
"aspect_ratio": "&#x3C;string>",
"last_image": "&#x3C;string>",
"camera_fixed": true,
"seed": 123,
"duration": 123
}
'
```

200

```
{
"task_id": "&#x3C;string>"
}
```

Seedance V1 Lite is an AI video model designed for coherent multi-shot video generation, offering smooth motion and precise adherence to detailed prompts. It supports resolutions of 480p, 720p, and 1080p.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-prompt)

prompt

string

Text prompt for video generation; Positive text prompt; Cannot exceed 2000 characters.

[​](#param-image)

image

string

required

Input image supports both URL and Base64 format.

- Supported image formats include `jpeg`, `png`, `webp`, `bmp`, `tiff`, `gif`.

- The image file size cannot exceed 30MB.

- Its shorter side must be greater than 300 pixels, and its longer side must be less than 6,000 pixels.

- Its aspect ratio must be in the range of 0.4 to 2.5.

[​](#param-resolution)

resolution

string

required

Video quality. Accepted values: `480p`, `720p`, `1080p`

[​](#param-aspect-ratio)

aspect_ratio

string

default:"16:9"

The aspect ratio of the generated video.
Accepted values: `21:9`, `16:9`, `4:3`, `1:1`, `3:4`, `9:16`

[​](#param-last-image)

last_image

string

End image, supports both URL and Base64 format.

- Supported image formats include `jpeg`, `png`, `webp`, `bmp`, `tiff`, `gif`.

- The image file size cannot exceed 30MB.

- Its shorter side must be greater than 300 pixels, and its longer side must be less than 6,000 pixels.

- Its aspect ratio must be in the range of 0.4 to 2.5.

The first and last frame images provided can be the same. If the aspect ratios of the first and last frame images differ, the first frame image will be used as the reference, and the last frame image will be automatically cropped to match.

[​](#param-camera-fixed)

camera_fixed

boolean

default:false

Determines if the camera position should remain fixed.

[​](#param-seed)

seed

integer

The random seed to use for the generation. -1 means a random seed will be used.

[​](#param-duration)

duration

integer

default:5

Specifies the length of the generated video in seconds. Available options: `5`, `10`

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on January 27, 2026
